Get a list of Teams by ID or league

GET
/teams/
apiKey<token>

Your API key

In: query

Query Parameters

sportID?string

A single sportID or comma-separated list of sportIDs to get Teams for

leagueID?string

A single leagueID or comma-separated list of leagueIDs to get Teams for

teamID?string

A single teamID or comma-separated list of teamIDs to get data for

limit?number

The maximum number of Teams to return

cursor?string

The cursor for the request. Used to get the next group of Teams. This is an opaque token — pass the nextCursor value from the prior response unchanged.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.sportsgameodds.com/v2/teams/?sportID=BASKETBALL&leagueID=NBA&teamID=BOSTON_CELTICS_NBA&limit=25&cursor=eyJhbGciOiJIUzI1NiJ9..."
{
  "success": true,
  "data": [
    {
      "sportID": "BASEBALL",
      "leagueID": "MLB",
      "teamID": "CINCINNATI_REDS_MLB",
      "names": {
        "short": "CIN",
        "medium": "Reds",
        "long": "Cincinnati Reds"
      },
      "colors": {
        "primary": "#C80021",
        "secondary": "",
        "primaryContrast": "#FFFFFF",
        "secondaryContrast": ""
      },
      "standings": {
        "position": "4",
        "wins": 77,
        "losses": 85,
        "ties": 0,
        "record": "77-85",
        "played": 162
      }
    }
  ]
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}